## GClueLocation GClueLocation |

## Functions

GDBusInterfaceInfo * | gclue_location_interface_info ()
guint | gclue_location_override_properties ()
gdouble | gclue_location_get_latitude ()
void | gclue_location_set_latitude ()
gdouble | gclue_location_get_longitude ()
void | gclue_location_set_longitude ()
gdouble | gclue_location_get_accuracy ()
void | gclue_location_set_accuracy ()
gdouble | gclue_location_get_altitude ()
void | gclue_location_set_altitude ()
gdouble | gclue_location_get_speed ()
void | gclue_location_set_speed ()
gdouble | gclue_location_get_heading ()
void | gclue_location_set_heading ()
const gchar * | gclue_location_get_description ()
gchar * | gclue_location_dup_description ()
void | gclue_location_set_description ()
GVariant * | gclue_location_get_timestamp ()
GVariant * | gclue_location_dup_timestamp ()
void | gclue_location_set_timestamp ()

## Properties

gdouble | accuracy | Read / Write
gdouble | altitude | Read / Write
gchar * | description | Read / Write
gdouble | heading | Read / Write
gdouble | latitude | Read / Write
gdouble | longitude | Read / Write
gdouble | speed | Read / Write
GVariant * | timestamp | Read / Write

## Object Hierarchy

        GInterface
        ╰── GClueLocation

## Description

## Functions

### gclue_location_interface_info ()

    GDBusInterfaceInfo *
    gclue_location_interface_info (void);

Gets a machine-readable description of the org.freedesktop.GeoClue2.Location D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### gclue_location_override_properties ()

    guint
    gclue_location_override_properties (GObjectClass *klass,
                                        guint property_id_begin);

Overrides all GObject properties in the GClueLocation interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### gclue_location_get_latitude ()

    gdouble
    gclue_location_get_latitude (GClueLocation *object);

Gets the value of the "Latitude" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_latitude ()

    void
    gclue_location_set_latitude (GClueLocation *object,
                                 gdouble value);

Sets the "Latitude" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_longitude ()

    gdouble
    gclue_location_get_longitude (GClueLocation *object);

Gets the value of the "Longitude" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_longitude ()

    void
    gclue_location_set_longitude (GClueLocation *object,
                                  gdouble value);

Sets the "Longitude" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_accuracy ()

    gdouble
    gclue_location_get_accuracy (GClueLocation *object);

Gets the value of the "Accuracy" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_accuracy ()

    void
    gclue_location_set_accuracy (GClueLocation *object,
                                 gdouble value);

Sets the "Accuracy" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_altitude ()

    gdouble
    gclue_location_get_altitude (GClueLocation *object);

Gets the value of the "Altitude" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_altitude ()

    void
    gclue_location_set_altitude (GClueLocation *object,
                                 gdouble value);

Sets the "Altitude" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_speed ()

    gdouble
    gclue_location_get_speed (GClueLocation *object);

Gets the value of the "Speed" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_speed ()

    void
    gclue_location_set_speed (GClueLocation *object,
                              gdouble value);

Sets the "Speed" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_heading ()

    gdouble
    gclue_location_get_heading (GClueLocation *object);

Gets the value of the "Heading" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value.

### gclue_location_set_heading ()

    void
    gclue_location_set_heading (GClueLocation *object,
                                gdouble value);

Sets the "Heading" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_description ()

    const gchar *
    gclue_location_get_description (GClueLocation *object);

Gets the value of the "Description" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `gclue_location_dup_description()` if on another thread.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### gclue_location_dup_description ()

    gchar *
    gclue_location_dup_description (GClueLocation *object);

Gets a copy of the "Description" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### gclue_location_set_description ()

    void
    gclue_location_set_description (GClueLocation *object,
                                    const gchar *value);

Sets the "Description" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

### gclue_location_get_timestamp ()

    GVariant *
    gclue_location_get_timestamp (GClueLocation *object);

Gets the value of the "Timestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `gclue_location_dup_timestamp()` if on another thread.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### gclue_location_dup_timestamp ()

    GVariant *
    gclue_location_dup_timestamp (GClueLocation *object);

Gets a copy of the "Timestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueLocation. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full]

### gclue_location_set_timestamp ()

    void
    gclue_location_set_timestamp (GClueLocation *object,
                                  GVariant *value);

Sets the "Timestamp" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueLocation. |
value | The value to set. |

## Types and Values

## Property Details

### The `“accuracy”` property

      “accuracy”                 gdouble

Represents the D-Bus property "Accuracy".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“altitude”` property

      “altitude”                 gdouble

Represents the D-Bus property "Altitude".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“description”` property

      “description”              gchar *

Represents the D-Bus property "Description".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

### The `“heading”` property

      “heading”                  gdouble

Represents the D-Bus property "Heading".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“latitude”` property

      “latitude”                 gdouble

Represents the D-Bus property "Latitude".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“longitude”` property

      “longitude”                gdouble

Represents the D-Bus property "Longitude".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“speed”` property

      “speed”                    gdouble

Represents the D-Bus property "Speed".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“timestamp”` property

      “timestamp”                GVariant *

Represents the D-Bus property "Timestamp".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Allowed values: GVariant<(tt)>

Default value: NULL